PDA

View Full Version : Need to locate pre-requisites



doors666
05-05-2003, 04:13 AM
Hi,

I am using ISMP 5.0 on window, solaris and AIX. I need to locate if the pre-requisite softwares are installed or not. I need to specifically check for websphere app server. On windows, I am using the registry for this. How do I identify if WAS is installed, where and what version is installed on solaris and aix.

Any hints tips or pointers will be appreciated.

Thanx,
Vikas

Jeff Dillon
05-08-2003, 11:06 PM
It really depends on how the App server was installed.

The most common way to accomplish this in the unix world is to simply ask the user where the App Server is installed and then verify that the directory is correct by looking for a few key files under that directory. You could accomplish this with a User Input Panel and a FIle Exists Condition.

If the App Server was installed as a Solaris pkg or AIX lpp, you could try querying those DBs, but this is more difficult.

anyone
05-19-2003, 12:27 PM
WAS also uses ISMP, so you can check the vpd.properties file.

RobertDickau
05-19-2003, 01:21 PM
Or, equivalently, use something like the Already Installed Condition example at http://www.installshield.com/downloads/beans.asp?prod=mpf; there's also a variation here: http://community.installshield.com/showthread.php?s=&threadid=109606.